Subject: bug#355: M-x should prompt with function under cursor as default

From: [email-masked]
Date: Sat, 07 Jun 2008 01:43:37 +0800

JPW> Do the Emacs developers think that this feature is worth adding ?
JPW> Ooops, I missed Stef's reply to the BTS saying no.  Fair enough :)

SM> In any case, I don't think the functionality you're asking makes much
SM> sense: it is rather rare to do a M-x where the command you want to run
SM> happens to be under point.
Just as often as C-h f and C-h v for me at least.

And why not upgrade the sensitivity of C-h v and C-h f and also make
their prompting default behavior unified with M-x. Incorporating the
John Paul Wallington bug #355 and Drew Adams bug #371 patches would be
a big step in that direction.